Skip to navigation

Delete payload index

Deletes a payload index for a field in the specified collection.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection
field_namestringRequired
Name of the field where to delete the index

Query parameters

waitbooleanOptional
If true, wait for changes to actually happen
orderingenumOptional
define ordering guarantees for the operation
Allowed values:
timeoutintegerOptional>=1
Timeout for the operation

Response

successful operation
usageobject or anyOptional
timefloatOptional
Time spent to process this request
statusstringOptional
resultobjectOptional

Errors

4XX
Client Request Error